/*
 * jfrmTableroPrueba.java
 *
 * Created on 9 de enero de 2009, 22:13
 */
package Swing;

import java.awt.Color;
import java.util.ArrayList;
import java.util.Observable;
import java.util.Observer;
import javax.swing.JOptionPane;
import src.ControladorBD;
import src.Partida;
import src.PartidaEntidad;
import src.Tablero;
import src.Territorio;

/**
 *
 * @author fco.dominguez
 * @author juan.alvarez
 */
public class jfrmTablero extends javax.swing.JFrame implements Observer {

    private Partida partida;
    private jfrmAtacar ventanaAtaque;
    private jfrmMoverTropas ventanaMover;
    private jfrmGestionarCartas ventanaCartas;
    private Territorio territorioSelec;
    private boolean confirmacion = false;

    /** Creates new form jfrmTableroPrueba */
    public jfrmTablero(Partida part, jfrmAtacar ventAtaque, jfrmGestionarCartas ventCartas, jfrmMoverTropas ventMover) {
        initComponents();
        partida = part;
        ventanaAtaque = ventAtaque;
        ventanaMover = ventMover;
        ventanaCartas = ventCartas;
        actualizarTablero(part);
    }

    public void etiquetas(Tablero tab) {
        ArrayList<Territorio> ter = tab.getTerritorio();


        for (int i = 0; i < ter.size(); i++) {
            Color color = null;
            int c;
            c = ter.get(i).getPropietarioTer().getColor();
            switch (c) {
                case 0:
                    color = Color.red;
                    break;
                case 1:
                    color = Color.cyan;
                    break;
                case 2:
                    color = Color.green;
                    break;
                case 3:
                    color = Color.yellow;
                    break;
                case 4:
                    color = Color.pink;
                    break;
                case 5:
                    color = Color.white;
                    break;
                case 10:
                    color = Color.gray;
                    break;
            }

            switch (i) {
                case 0:
                    _0.setOpaque(true);
                    _0.setBackground(color);
                    _0.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _0.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 1:
                    _1.setOpaque(true);
                    _1.setBackground(color);
                    _1.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _1.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 2:
                    _2.setOpaque(true);
                    _2.setBackground(color);
                    _2.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _2.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 3:
                    _3.setOpaque(true);
                    _3.setBackground(color);
                    _3.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _3.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 4:
                    _4.setOpaque(true);
                    _4.setBackground(color);
                    _4.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _4.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 5:
                    _5.setOpaque(true);
                    _5.setBackground(color);
                    _5.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _5.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 6:
                    _6.setOpaque(true);
                    _6.setBackground(color);
                    _6.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _6.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 7:
                    _7.setOpaque(true);
                    _7.setBackground(color);
                    _7.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _7.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 8:
                    _8.setOpaque(true);
                    _8.setBackground(color);
                    _8.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _8.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 9:
                    _9.setOpaque(true);
                    _9.setBackground(color);
                    _9.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _9.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 10:
                    _10.setOpaque(true);
                    _10.setBackground(color);
                    _10.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _10.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 11:
                    _11.setOpaque(true);
                    _11.setBackground(color);
                    _11.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _11.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 12:
                    _12.setOpaque(true);
                    _12.setBackground(color);
                    _12.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _12.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 13:
                    _13.setOpaque(true);
                    _13.setBackground(color);
                    _13.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _13.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 14:
                    _14.setOpaque(true);
                    _14.setBackground(color);
                    _14.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _14.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 15:
                    _15.setOpaque(true);
                    _15.setBackground(color);
                    _15.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _15.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 16:
                    _16.setOpaque(true);
                    _16.setBackground(color);
                    _16.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _16.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 17:
                    _17.setOpaque(true);
                    _17.setBackground(color);
                    _17.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _17.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 18:
                    _18.setOpaque(true);
                    _18.setBackground(color);
                    _18.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _18.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 19:
                    _19.setOpaque(true);
                    _19.setBackground(color);
                    _19.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _19.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 20:
                    _20.setOpaque(true);
                    _20.setBackground(color);
                    _20.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _20.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 21:
                    _21.setOpaque(true);
                    _21.setBackground(color);
                    _21.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _21.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 22:
                    _22.setOpaque(true);
                    _22.setBackground(color);
                    _22.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _22.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 23:
                    _23.setOpaque(true);
                    _23.setBackground(color);
                    _23.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _23.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 24:
                    _24.setOpaque(true);
                    _24.setBackground(color);
                    _24.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _24.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 25:
                    _25.setOpaque(true);
                    _25.setBackground(color);
                    _25.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _25.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 26:
                    _26.setOpaque(true);
                    _26.setBackground(color);
                    _26.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _26.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 27:
                    _27.setOpaque(true);
                    _27.setBackground(color);
                    _27.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _27.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 28:
                    _28.setOpaque(true);
                    _28.setBackground(color);
                    _28.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _28.setToolTipText(ter.get(i).getNombreTerritorio());
                case 29:
                    _29.setOpaque(true);
                    _29.setBackground(color);
                    _29.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _29.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 30:
                    _30.setOpaque(true);
                    _30.setBackground(color);
                    _30.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _30.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 31:
                    _31.setOpaque(true);
                    _31.setBackground(color);
                    _31.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _31.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 32:
                    _32.setOpaque(true);
                    _32.setBackground(color);
                    _32.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _32.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 33:
                    _33.setOpaque(true);
                    _33.setBackground(color);
                    _33.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _33.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 34:
                    _34.setOpaque(true);
                    _34.setBackground(color);
                    _34.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _34.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 35:
                    _35.setOpaque(true);
                    _35.setBackground(color);
                    _35.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _35.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 36:
                    _36.setOpaque(true);
                    _36.setBackground(color);
                    _36.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _36.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 37:
                    _37.setOpaque(true);
                    _37.setBackground(color);
                    _37.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _37.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 38:
                    _38.setOpaque(true);
                    _38.setBackground(color);
                    _38.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _38.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 39:
                    _39.setOpaque(true);
                    _39.setBackground(color);
                    _39.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _39.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 40:
                    _40.setOpaque(true);
                    _40.setBackground(color);
                    _40.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _40.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
                case 41:
                    _41.setOpaque(true);
                    _41.setBackground(color);
                    _41.setText(String.valueOf(ter.get(i).getNumEjercito()));
                    _41.setToolTipText(ter.get(i).getNombreTerritorio());
                    break;
            }
        }
    }

    private void actualizarTablero(Partida partida) {

        etiquetas(partida.getTablero());

        jlblJugador.setText(partida.getJugador().get(partida.getTurno()).getNombreJugador());
        Color color = null;
        int c;
        c = partida.getJugador().get(partida.getTurno()).getColor();
        switch (c) {
            case 0:
                color = Color.red;
                break;
            case 1:
                color = Color.cyan;
                break;
            case 2:
                color = Color.green;
                break;
            case 3:
                color = Color.yellow;
                break;
            case 4:
                color = Color.pink;
                break;
            case 5:
                color = Color.white;
                break;
            case 10:
                color = Color.gray;
                break;
        }
        jlblJugador.setOpaque(true);
        jlblJugador.setBackground(color);

        String modoActual = "";
        if (partida.isModoInicializar()) {
            modoActual = "Inicializar tropas";
        } else if (partida.isModoAtaque()) {
            modoActual = "Ataque";
        } else if (partida.isModoUbicar()) {
            modoActual = "Ubicar tropas";
        } else if (partida.isModoMoverTropas()) {
            modoActual = "Mover Tropas";
        }
        
        jlblAccionActual.setText(modoActual);

        int modoJuego = partida.getModoJuego();
        String modoJ = "";
        if (modoJuego == 0) {
            modoJ = "Dominación Total";
        } else if (modoJuego == 1) {
            modoJ = "Capitales";
        } else if (modoJuego == 2) {
            modoJ = "Misión";
        }
        jlblModoJuego.setText(modoJ);

        jlblRonda.setText("" + partida.getRonda());

        if (partida.getRondaMax() != 0) {
            jlblRondaMax.setText("" + partida.getRondaMax());
            jlbltxtRondaMax.setVisible(true);
        } else {
            jlblRondaMax.setVisible(false);
            jlbltxtRondaMax.setVisible(false);
        }

        jlblTropasReserva.setText("" + partida.getJugador().get(partida.getTurno()).getTropasReserva());
        setTerritorioSelec(partida.getTerrSeleccionado());
        if (partida.isModoAtaque()) {
            jbtnFinalizarTurno.setEnabled(true);
            jbtnMoverTropas.setEnabled(true);
            jbtnAbandonar.setEnabled(true);
        } else if (partida.isModoMoverTropas()) {
            jbtnMoverTropas.setEnabled(false);
        } else {
            jbtnFinalizarTurno.setEnabled(false);
            jbtnMoverTropas.setEnabled(false);
            jbtnAbandonar.setEnabled(false);
        }
        if (partida.isMostrarAtaque()) {
            ventanaAtaque.setVisible(true);
        } else {
            ventanaAtaque.setVisible(false);
        }
        if (partida.isMostrarMoverTropas()) {
            ventanaMover.setVisible(true);
        } else {
            ventanaMover.setVisible(false);
        }


        ArrayList<String> listaPaises = new ArrayList<String>();
        int numeroPaises = partida.getJugador().get(partida.getTurno()).getTerritorio().size();
        for (int i = 0; i < numeroPaises; i++) {
            listaPaises.add(partida.getJugador().get(partida.getTurno()).getTerritorio().get(i).getNombreTerritorio());
        }
        jlistPaises.setListData(listaPaises.toArray());
        jlblNumPaises.setText("" + numeroPaises);

        ArrayList<String> listaContinentes = new ArrayList<String>();
        int numeroContinentes = partida.getJugador().get(partida.getTurno()).getContinente().size();
        for (int i = 0; i < numeroContinentes; i++) {
            listaContinentes.add(partida.getJugador().get(partida.getTurno()).getContinente().get(i).getNombreContinente());
        }
        jlstContinentes.setListData(listaContinentes.toArray());
        jlblNumContinentes.setText("" + numeroContinentes);

        if (partida.getModoJuego() == 1) {

            jbtnVerCapitales.setVisible(true);
            jbtnVerCapitales.setSelected(false);
            jlstCapitales.setVisible(false);


            if (partida.isCapitalesVisibles()) {
                jlbltxtCapitalesTab.setVisible(true);
                jlstCapitalesTab.setVisible(true);

                ArrayList<String> listaCapitalesTab = new ArrayList<String>();
                int numeroCapitales = partida.getCapitales().size();
                for (int i = 0; i < numeroCapitales; i++) {
                    listaCapitalesTab.add(partida.getCapitales().get(i).getNombreTerritorio());
                }
                jlstCapitalesTab.setListData(listaCapitalesTab.toArray());
            } else {
                jlbltxtCapitalesTab.setVisible(false);
                jlstCapitalesTab.setVisible(false);
            }
        } else {
            jlstCapitales.setVisible(false);
            jbtnVerCapitales.setVisible(false);
            jlbltxtCapitalesTab.setVisible(false);
            jlstCapitalesTab.setVisible(false);
        }

        if (partida.isFinJuego()) {
            jlblGanador.setText(partida.getGanador().getNombreJugador());
            jbtnVerCartas.setEnabled(false);
            jbtnMoverTropas.setEnabled(false);
            jbtnFinalizarTurno.setEnabled(false);
            jbtnAbandonar.setEnabled(false);
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jpnlDatosPartida = new javax.swing.JPanel();
        jlbltxtRonda = new javax.swing.JLabel();
        jlblRonda = new javax.swing.JLabel();
        jlbltxtRondaMax = new javax.swing.JLabel();
        jlblRondaMax = new javax.swing.JLabel();
        jlbltxtModoJuego = new javax.swing.JLabel();
        jlblModoJuego = new javax.swing.JLabel();
        jlbltxtGanador = new javax.swing.JLabel();
        jlblGanador = new javax.swing.JLabel();
        jlbltxtCapitalesTab = new javax.swing.JLabel();
        jScrollPane4 = new javax.swing.JScrollPane();
        jlstCapitalesTab = new javax.swing.JList();
        jpnlTablero = new javax.swing.JPanel();
        jLayeredPane1 = new javax.swing.JLayeredPane();
        _5 = new javax.swing.JLabel();
        _4 = new javax.swing.JLabel();
        _6 = new javax.swing.JLabel();
        _23 = new javax.swing.JLabel();
        _1 = new javax.swing.JLabel();
        _0 = new javax.swing.JLabel();
        _7 = new javax.swing.JLabel();
        _8 = new javax.swing.JLabel();
        _3 = new javax.swing.JLabel();
        _2 = new javax.swing.JLabel();
        _12 = new javax.swing.JLabel();
        _10 = new javax.swing.JLabel();
        _11 = new javax.swing.JLabel();
        _9 = new javax.swing.JLabel();
        _24 = new javax.swing.JLabel();
        _22 = new javax.swing.JLabel();
        _21 = new javax.swing.JLabel();
        _20 = new javax.swing.JLabel();
        _25 = new javax.swing.JLabel();
        _41 = new javax.swing.JLabel();
        _38 = new javax.swing.JLabel();
        _40 = new javax.swing.JLabel();
        _39 = new javax.swing.JLabel();
        _34 = new javax.swing.JLabel();
        _28 = new javax.swing.JLabel();
        _27 = new javax.swing.JLabel();
        _33 = new javax.swing.JLabel();
        _30 = new javax.swing.JLabel();
        _29 = new javax.swing.JLabel();
        _31 = new javax.swing.JLabel();
        _37 = new javax.swing.JLabel();
        _35 = new javax.swing.JLabel();
        _36 = new javax.swing.JLabel();
        _26 = new javax.swing.JLabel();
        _18 = new javax.swing.JLabel();
        _32 = new javax.swing.JLabel();
        _16 = new javax.swing.JLabel();
        _14 = new javax.swing.JLabel();
        _13 = new javax.swing.JLabel();
        _15 = new javax.swing.JLabel();
        _17 = new javax.swing.JLabel();
        _19 = new javax.swing.JLabel();
        panel = new javax.swing.JLabel();
        jpnlJugador = new javax.swing.JPanel();
        jbtnMoverTropas = new javax.swing.JButton();
        jlblTropasReserva = new javax.swing.JLabel();
        jlblAccionActual = new javax.swing.JLabel();
        jlbtxtlModo = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jlblJugador = new javax.swing.JLabel();
        jbtnFinalizarTurno = new javax.swing.JButton();
        jbtnVerCartas = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jlistPaises = new javax.swing.JList();
        jlbltxtPaises = new javax.swing.JLabel();
        jlbltxtContinentes = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        jlstContinentes = new javax.swing.JList();
        jScrollPane3 = new javax.swing.JScrollPane();
        jlstCapitales = new javax.swing.JList();
        jlblNumPaises = new javax.swing.JLabel();
        jlblNumContinentes = new javax.swing.JLabel();
        jbtnAbandonar = new javax.swing.JButton();
        jbtnVerCapitales = new javax.swing.JToggleButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenuGuardarPartida = new javax.swing.JMenuItem();
        jMenuCargarPartida = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Partida Risk");
        setLocationByPlatform(true);
        setResizable(false);

        jpnlDatosPartida.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Datos de la Partida", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("URW Chancery L", 1, 18))); // NOI18N

        jlbltxtRonda.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jlbltxtRonda.setText("Ronda Actual:");

        jlblRonda.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jlblRonda.setText("jLabel1");

        jlbltxtRondaMax.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jlbltxtRondaMax.setText("Última Ronda:");

        jlblRondaMax.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jlblRondaMax.setText("jLabel1");

        jlbltxtModoJuego.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jlbltxtModoJuego.setText("Modo de Juego:");

        jlblModoJuego.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jlblModoJuego.setText("jLabel1");

        jlbltxtGanador.setFont(new java.awt.Font("URW Chancery L", 2, 24));
        jlbltxtGanador.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jlbltxtGanador.setText("Ganador:");

        jlblGanador.setFont(new java.awt.Font("URW Chancery L", 1, 36));
        jlblGanador.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);

        jlbltxtCapitalesTab.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jlbltxtCapitalesTab.setText("Capitales:");

        jScrollPane4.setViewportView(jlstCapitalesTab);

        javax.swing.GroupLayout jpnlDatosPartidaLayout = new javax.swing.GroupLayout(jpnlDatosPartida);
        jpnlDatosPartida.setLayout(jpnlDatosPartidaLayout);
        jpnlDatosPartidaLayout.setHorizontalGroup(
            jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jpnlDatosPartidaLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jpnlDatosPartidaLayout.createSequentialGroup()
                        .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jlbltxtModoJuego)
                            .addComponent(jlbltxtRonda))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jlblRonda)
                            .addComponent(jlblModoJuego, javax.swing.GroupLayout.DEFAULT_SIZE, 52, Short.MAX_VALUE)))
                    .addGroup(jpnlDatosPartidaLayout.createSequentialGroup()
                        .addComponent(jlbltxtRondaMax)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 36, Short.MAX_VALUE)
                        .addComponent(jlblRondaMax)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jlbltxtCapitalesTab)
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 273, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jlbltxtGanador, javax.swing.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                    .addComponent(jlblGanador, javax.swing.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE))
                .addContainerGap())
        );
        jpnlDatosPartidaLayout.setVerticalGroup(
            jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpnlDatosPartidaLayout.createSequentialGroup()
                .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jpnlDatosPartidaLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jlbltxtModoJuego)
                            .addComponent(jlblModoJuego))
                        .addGap(16, 16, 16)
                        .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jlbltxtRonda)
                            .addComponent(jlblRonda)))
                    .addGroup(jpnlDatosPartidaLayout.createSequentialGroup()
                        .addGap(76, 76, 76)
                        .addGroup(jpnlDatosPartidaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jlbltxtRondaMax)
                            .addComponent(jlblRondaMax)))
                    .addGroup(jpnlDatosPartidaLayout.createSequentialGroup()
                        .addComponent(jlbltxtGanador)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jlblGanador, javax.swing.GroupLayout.DEFAULT_SIZE, 65, Short.MAX_VALUE))
                    .addGroup(jpnlDatosPartidaLayout.createSequentialGroup()
                        .addComponent(jlbltxtCapitalesTab)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 7, Short.MAX_VALUE)
                        .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 78, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        _5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _5.setText("jLabel7");
        _5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _5MouseClicked(evt);
            }
        });
        _5.setBounds(80, 50, 30, 14);
        jLayeredPane1.add(_5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _4.setText("jLabel4");
        _4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _4MouseClicked(evt);
            }
        });
        _4.setBounds(240, 10, 30, 14);
        jLayeredPane1.add(_4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _6.setText("jLabel5");
        _6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _6MouseClicked(evt);
            }
        });
        _6.setBounds(140, 90, 30, 14);
        jLayeredPane1.add(_6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _23.setText("jLabel6");
        _23.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _23MouseClicked(evt);
            }
        });
        _23.setBounds(420, 350, 30, 20);
        jLayeredPane1.add(_23, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _1.setText("jLabel3");
        _1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _1MouseClicked(evt);
            }
        });
        _1.setBounds(80, 90, 30, 14);
        jLayeredPane1.add(_1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _0.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _0.setText("jLabel1");
        _0.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _0MouseClicked(evt);
            }
        });
        _0.setBounds(20, 50, 30, 14);
        jLayeredPane1.add(_0, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _7.setText("jLabel2");
        _7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _7MouseClicked(evt);
            }
        });
        _7.setBounds(190, 100, 30, 14);
        jLayeredPane1.add(_7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _8.setText("jLabel8");
        _8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _8MouseClicked(evt);
            }
        });
        _8.setBounds(90, 130, 30, 20);
        jLayeredPane1.add(_8, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _3.setText("jLabel9");
        _3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _3MouseClicked(evt);
            }
        });
        _3.setBounds(160, 150, 30, 14);
        jLayeredPane1.add(_3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _2.setText("jLabel10");
        _2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _2MouseClicked(evt);
            }
        });
        _2.setBounds(100, 190, 30, 14);
        jLayeredPane1.add(_2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _12.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _12.setText("jLabel11");
        _12.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _12MouseClicked(evt);
            }
        });
        _12.setBounds(150, 220, 30, 14);
        jLayeredPane1.add(_12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _10.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _10.setText("jLabel12");
        _10.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _10MouseClicked(evt);
            }
        });
        _10.setBounds(200, 270, 30, 14);
        jLayeredPane1.add(_10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _11.setText("jLabel13");
        _11.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _11MouseClicked(evt);
            }
        });
        _11.setBounds(160, 290, 30, 14);
        jLayeredPane1.add(_11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _9.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _9.setText("jLabel14");
        _9.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _9MouseClicked(evt);
            }
        });
        _9.setBounds(170, 350, 30, 14);
        jLayeredPane1.add(_9, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _24.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _24.setText("jLabel15");
        _24.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _24MouseClicked(evt);
            }
        });
        _24.setBounds(290, 230, 30, 14);
        jLayeredPane1.add(_24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _22.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _22.setText("jLabel16");
        _22.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _22MouseClicked(evt);
            }
        });
        _22.setBounds(350, 200, 30, 14);
        jLayeredPane1.add(_22, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _21.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _21.setText("jLabel17");
        _21.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _21MouseClicked(evt);
            }
        });
        _21.setBounds(380, 250, 30, 14);
        jLayeredPane1.add(_21, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _20.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _20.setText("jLabel18");
        _20.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _20MouseClicked(evt);
            }
        });
        _20.setBounds(340, 290, 30, 14);
        jLayeredPane1.add(_20, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _25.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _25.setText("jLabel19");
        _25.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _25MouseClicked(evt);
            }
        });
        _25.setBounds(340, 360, 30, 14);
        jLayeredPane1.add(_25, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _41.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _41.setText("jLabel20");
        _41.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _41MouseClicked(evt);
            }
        });
        _41.setBounds(570, 360, 30, 14);
        jLayeredPane1.add(_41, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _38.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _38.setText("jLabel21");
        _38.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _38MouseClicked(evt);
            }
        });
        _38.setBounds(630, 330, 30, 14);
        jLayeredPane1.add(_38, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _40.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _40.setText("jLabel22");
        _40.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _40MouseClicked(evt);
            }
        });
        _40.setBounds(630, 290, 30, 20);
        jLayeredPane1.add(_40, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _39.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _39.setText("jLabel23");
        _39.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _39MouseClicked(evt);
            }
        });
        _39.setBounds(560, 280, 30, 14);
        jLayeredPane1.add(_39, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _34.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _34.setText("jLabel24");
        _34.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _34MouseClicked(evt);
            }
        });
        _34.setBounds(540, 230, 30, 14);
        jLayeredPane1.add(_34, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _28.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _28.setText("jLabel25");
        _28.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _28MouseClicked(evt);
            }
        });
        _28.setBounds(480, 200, 30, 14);
        jLayeredPane1.add(_28, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _27.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _27.setText("jLabel26");
        _27.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _27MouseClicked(evt);
            }
        });
        _27.setBounds(520, 170, 30, 14);
        jLayeredPane1.add(_27, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _33.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _33.setText("jLabel27");
        _33.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _33MouseClicked(evt);
            }
        });
        _33.setBounds(550, 130, 30, 14);
        jLayeredPane1.add(_33, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _30.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _30.setText("jLabel28");
        _30.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _30MouseClicked(evt);
            }
        });
        _30.setBounds(610, 150, 30, 14);
        jLayeredPane1.add(_30, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _29.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _29.setText("jLabel29");
        _29.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _29MouseClicked(evt);
            }
        });
        _29.setBounds(530, 90, 30, 14);
        jLayeredPane1.add(_29, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _31.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _31.setText("jLabel30");
        _31.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _31MouseClicked(evt);
            }
        });
        _31.setBounds(630, 50, 30, 14);
        jLayeredPane1.add(_31, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _37.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _37.setText("jLabel31");
        _37.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _37MouseClicked(evt);
            }
        });
        _37.setBounds(560, 40, 30, 14);
        jLayeredPane1.add(_37, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _35.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _35.setText("jLabel32");
        _35.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _35MouseClicked(evt);
            }
        });
        _35.setBounds(480, 40, 30, 14);
        jLayeredPane1.add(_35, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _36.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _36.setText("jLabel33");
        _36.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _36MouseClicked(evt);
            }
        });
        _36.setBounds(460, 80, 30, 20);
        jLayeredPane1.add(_36, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _26.setText("jLabel34");
        _26.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _26MouseClicked(evt);
            }
        });
        _26.setBounds(440, 130, 30, 14);
        jLayeredPane1.add(_26, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _18.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _18.setText("jLabel35");
        _18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _18MouseClicked(evt);
            }
        });
        _18.setBounds(390, 80, 30, 14);
        jLayeredPane1.add(_18, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _32.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _32.setText("jLabel36");
        _32.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _32MouseClicked(evt);
            }
        });
        _32.setBounds(390, 180, 30, 14);
        jLayeredPane1.add(_32, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _16.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _16.setText("jLabel37");
        _16.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _16MouseClicked(evt);
            }
        });
        _16.setBounds(330, 50, 30, 14);
        jLayeredPane1.add(_16, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _14.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _14.setText("jLabel38");
        _14.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _14MouseClicked(evt);
            }
        });
        _14.setBounds(270, 70, 30, 14);
        jLayeredPane1.add(_14, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _13.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _13.setText("jLabel39");
        _13.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _13MouseClicked(evt);
            }
        });
        _13.setBounds(270, 110, 30, 14);
        jLayeredPane1.add(_13, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _15.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _15.setText("jLabel40");
        _15.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _15MouseClicked(evt);
            }
        });
        _15.setBounds(320, 110, 30, 14);
        jLayeredPane1.add(_15, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _17.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _17.setText("jLabel41");
        _17.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _17MouseClicked(evt);
            }
        });
        _17.setBounds(330, 140, 30, 14);
        jLayeredPane1.add(_17, javax.swing.JLayeredPane.DEFAULT_LAYER);

        _19.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        _19.setText("jLabel42");
        _19.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                _19MouseClicked(evt);
            }
        });
        _19.setBounds(280, 150, 30, 14);
        jLayeredPane1.add(_19, javax.swing.JLayeredPane.DEFAULT_LAYER);

        panel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/board_pic.png"))); // NOI18N
        panel.setBounds(0, 0, 680, 420);
        jLayeredPane1.add(panel, javax.swing.JLayeredPane.DEFAULT_LAYER);

        javax.swing.GroupLayout jpnlTableroLayout = new javax.swing.GroupLayout(jpnlTablero);
        jpnlTablero.setLayout(jpnlTableroLayout);
        jpnlTableroLayout.setHorizontalGroup(
            jpnlTableroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 681, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        jpnlTableroLayout.setVerticalGroup(
            jpnlTableroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpnlTableroLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 412, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jpnlJugador.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Jugador Actual", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("URW Chancery L", 1, 18))); // NOI18N

        jbtnMoverTropas.setText("Finalizar Ataque y Mover Tropas");
        jbtnMoverTropas.setEnabled(false);
        jbtnMoverTropas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbtnMoverTropasActionPerformed(evt);
            }
        });

        jlblTropasReserva.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jlblTropasReserva.setText("jLabel1");

        jlblAccionActual.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jlblAccionActual.setText("jLabel5");

        jlbtxtlModo.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jlbtxtlModo.setText("Acción:");

        jLabel3.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jLabel3.setText("Tropas en reserva:");

        jlblJugador.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 18));
        jlblJugador.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jlblJugador.setText("jLabel1");

        jbtnFinalizarTurno.setText("Terminar Turno");
        jbtnFinalizarTurno.setEnabled(false);
        jbtnFinalizarTurno.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbtnFinalizarTurnoActionPerformed(evt);
            }
        });

        jbtnVerCartas.setText("Ver Cartas");
        jbtnVerCartas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbtnVerCartasActionPerformed(evt);
            }
        });

        jlistPaises.setModel(new javax.swing.AbstractListModel() {
            String[] strings = { "Item 1", "Item 2", "Item 3", "Item 4", "Item 5" };
            public int getSize() { return strings.length; }
            public Object getElementAt(int i) { return strings[i]; }
        });
        jScrollPane1.setViewportView(jlistPaises);

        jlbltxtPaises.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jlbltxtPaises.setText("Mis paises:");

        jlbltxtContinentes.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jlbltxtContinentes.setText("Mis Continentes:");

        jlstContinentes.setModel(new javax.swing.AbstractListModel() {
            String[] strings = { "Item 1", "Item 2", "Item 3", "Item 4", "Item 5" };
            public int getSize() { return strings.length; }
            public Object getElementAt(int i) { return strings[i]; }
        });
        jScrollPane2.setViewportView(jlstContinentes);

        jScrollPane3.setViewportView(jlstCapitales);

        jlblNumPaises.setText("jLabel1");

        jlblNumContinentes.setText("jLabel1");

        jbtnAbandonar.setText("Abandonar");
        jbtnAbandonar.setEnabled(false);
        jbtnAbandonar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbtnAbandonarActionPerformed(evt);
            }
        });

        jbtnVerCapitales.setFont(new java.awt.Font("Bitstream Vera Sans", 1, 13));
        jbtnVerCapitales.setText("Ver mis Capitales");
        jbtnVerCapitales.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbtnVerCapitalesActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jpnlJugadorLayout = new javax.swing.GroupLayout(jpnlJugador);
        jpnlJugador.setLayout(jpnlJugadorLayout);
        jpnlJugadorLayout.setHorizontalGroup(
            jpnlJugadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpnlJugadorLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jpnlJugadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE)
                    .addComponent(jlblJugador, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jpnlJugadorLayout.createSequentialGroup()
                        .addComponent(jLabel3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 78, Short.MAX_VALUE)
                        .addComponent(jlblTropasReserva))
                    .addGroup(jpnlJugadorLayout.createSequentialGroup()
                        .addComponent(jlbtxtlModo)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 12, Short.MAX_VALUE)
                        .addComponent(jlblAccionActual, javax.swing.GroupLayout.PREFERRED_SIZE, 171, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jpnlJugadorLayout.createSequentialGroup()
                        .addComponent(jlbltxtPaises)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 127, Short.MAX_VALUE)
                        .addComponent(jlblNumPaises))
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE)
                    .addGroup(jpnlJugadorLayout.createSequentialGroup()
                        .addComponent(jlbltxtContinentes)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 92, Short.MAX_VALUE)
                        .addComponent(jlblNumContinentes))
                    .addComponent(jbtnAbandonar, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE)
                    .addComponent(jbtnFinalizarTurno, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE)
                    .addComponent(jbtnVerCartas, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE)
                    .addComponent(jbtnMoverTropas, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE)
                    .addComponent(jbtnVerCapitales)
                    .addComponent(jScrollPane3, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 230, Short.MAX_VALUE))
                .addContainerGap())
        );
        jpnlJugadorLayout.setVerticalGroup(
            jpnlJugadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpnlJugadorLayout.createSequentialGroup()
                .addComponent(jlblJugador)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jpnlJugadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jlblTropasReserva)
                    .addComponent(jLabel3))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jpnlJugadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jlbtxtlModo)
                    .addComponent(jlblAccionActual))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jpnlJugadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jlblNumPaises)
                    .addComponent(jlbltxtPaises))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jpnlJugadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jlbltxtContinentes)
                    .addComponent(jlblNumContinentes))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jbtnVerCapitales)
                .addGap(18, 18, 18)
                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 13, Short.MAX_VALUE)
                .addComponent(jbtnVerCartas)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jbtnMoverTropas)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jbtnFinalizarTurno, javax.swing.GroupLayout.PREFERRED_SIZE, 64, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jbtnAbandonar)
                .addContainerGap())
        );

        jMenu1.setText("Opciones");

        jMenuGuardarPartida.setText("Guardar");
        jMenuGuardarPartida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuGuardarPartidaActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuGuardarPartida);

        jMenuCargarPartida.setText("Cargar");
        jMenuCargarPartida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuCargarPartidaActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuCargarPartida);

        jMenuBar1.add(jMenu1);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jpnlDatosPartida, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jpnlTablero, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jpnlJugador, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jpnlJugador, javax.swing.GroupLayout.Alignment.LEADING, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(jpnlTablero, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jpnlDatosPartida, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void jbtnVerCartasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbtnVerCartasActionPerformed
    ventanaCartas.actualizarCartas(partida);
    ventanaCartas.setVisible(true);
}//GEN-LAST:event_jbtnVerCartasActionPerformed

private void jbtnFinalizarTurnoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbtnFinalizarTurnoActionPerformed
    if (partida.getTurno() == partida.getJugador().size() - 1) {
        partida.nuevaRonda();
    } else {
        partida.pasarTurno();
    }
    if (confirmacion) {
        jbtnAbandonar.setText("Abandonar");
        confirmacion = false;
    }
}//GEN-LAST:event_jbtnFinalizarTurnoActionPerformed


private void _4MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__4MouseClicked

    partida.seleccionarTerritorio(4);
}//GEN-LAST:event__4MouseClicked

private void _0MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__0MouseClicked

    partida.seleccionarTerritorio(0);
}//GEN-LAST:event__0MouseClicked

private void _5MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__5MouseClicked

    partida.seleccionarTerritorio(5);
}//GEN-LAST:event__5MouseClicked

private void _1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__1MouseClicked

    partida.seleccionarTerritorio(1);
}//GEN-LAST:event__1MouseClicked

private void _6MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__6MouseClicked

    partida.seleccionarTerritorio(6);
}//GEN-LAST:event__6MouseClicked

private void _7MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__7MouseClicked

    partida.seleccionarTerritorio(7);
}//GEN-LAST:event__7MouseClicked

private void _8MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__8MouseClicked

    partida.seleccionarTerritorio(8);
}//GEN-LAST:event__8MouseClicked

private void _3MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__3MouseClicked

    partida.seleccionarTerritorio(3);
}//GEN-LAST:event__3MouseClicked

private void _2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__2MouseClicked

    partida.seleccionarTerritorio(2);
}//GEN-LAST:event__2MouseClicked

private void jbtnMoverTropasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbtnMoverTropasActionPerformed
    partida.setModoAtaque(false);
    partida.setModoMoverTropas(true);
    jbtnMoverTropas.setEnabled(false);
}//GEN-LAST:event_jbtnMoverTropasActionPerformed

private void _12MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__12MouseClicked

    partida.seleccionarTerritorio(12);
}//GEN-LAST:event__12MouseClicked

private void _10MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__10MouseClicked

    partida.seleccionarTerritorio(10);
}//GEN-LAST:event__10MouseClicked

private void _11MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__11MouseClicked

    partida.seleccionarTerritorio(11);
}//GEN-LAST:event__11MouseClicked

private void _9MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__9MouseClicked

    partida.seleccionarTerritorio(9);
}//GEN-LAST:event__9MouseClicked

private void _22MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__22MouseClicked

    partida.seleccionarTerritorio(22);
}//GEN-LAST:event__22MouseClicked

private void _24MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__24MouseClicked

    partida.seleccionarTerritorio(24);
}//GEN-LAST:event__24MouseClicked

private void _21MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__21MouseClicked

    partida.seleccionarTerritorio(21);
}//GEN-LAST:event__21MouseClicked

private void _20MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__20MouseClicked

    partida.seleccionarTerritorio(20);
}//GEN-LAST:event__20MouseClicked

private void _25MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__25MouseClicked

    partida.seleccionarTerritorio(25);
}//GEN-LAST:event__25MouseClicked

private void _23MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__23MouseClicked

    partida.seleccionarTerritorio(23);
}//GEN-LAST:event__23MouseClicked

private void _41MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__41MouseClicked

    partida.seleccionarTerritorio(41);
}//GEN-LAST:event__41MouseClicked

private void _38MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__38MouseClicked

    partida.seleccionarTerritorio(38);
}//GEN-LAST:event__38MouseClicked

private void _40MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__40MouseClicked

    partida.seleccionarTerritorio(40);
}//GEN-LAST:event__40MouseClicked

private void _39MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__39MouseClicked

    partida.seleccionarTerritorio(39);
}//GEN-LAST:event__39MouseClicked

private void _34MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__34MouseClicked

    partida.seleccionarTerritorio(34);
}//GEN-LAST:event__34MouseClicked

private void _28MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__28MouseClicked

    partida.seleccionarTerritorio(28);
}//GEN-LAST:event__28MouseClicked

private void _32MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__32MouseClicked

    partida.seleccionarTerritorio(32);
}//GEN-LAST:event__32MouseClicked

private void _26MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__26MouseClicked

    partida.seleccionarTerritorio(26);
}//GEN-LAST:event__26MouseClicked

private void _27MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__27MouseClicked

    partida.seleccionarTerritorio(27);
}//GEN-LAST:event__27MouseClicked

private void _30MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__30MouseClicked

    partida.seleccionarTerritorio(30);
}//GEN-LAST:event__30MouseClicked

private void _33MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__33MouseClicked

    partida.seleccionarTerritorio(33);
}//GEN-LAST:event__33MouseClicked

private void _36MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__36MouseClicked

    partida.seleccionarTerritorio(36);
}//GEN-LAST:event__36MouseClicked

private void _29MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__29MouseClicked

    partida.seleccionarTerritorio(29);
}//GEN-LAST:event__29MouseClicked

private void _35MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__35MouseClicked

    partida.seleccionarTerritorio(35);
}//GEN-LAST:event__35MouseClicked

private void _37MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__37MouseClicked

    partida.seleccionarTerritorio(37);
}//GEN-LAST:event__37MouseClicked

private void _31MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__31MouseClicked

    partida.seleccionarTerritorio(31);
}//GEN-LAST:event__31MouseClicked

private void _18MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__18MouseClicked

    partida.seleccionarTerritorio(18);
}//GEN-LAST:event__18MouseClicked

private void _16MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__16MouseClicked

    partida.seleccionarTerritorio(16);
}//GEN-LAST:event__16MouseClicked

private void _15MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__15MouseClicked

    partida.seleccionarTerritorio(15);
}//GEN-LAST:event__15MouseClicked

private void _17MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__17MouseClicked

    partida.seleccionarTerritorio(17);
}//GEN-LAST:event__17MouseClicked

private void _14MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__14MouseClicked

    partida.seleccionarTerritorio(14);
}//GEN-LAST:event__14MouseClicked

private void _13MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__13MouseClicked

    partida.seleccionarTerritorio(13);
}//GEN-LAST:event__13MouseClicked

private void _19MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event__19MouseClicked

    partida.seleccionarTerritorio(19);
}//GEN-LAST:event__19MouseClicked

private void jbtnAbandonarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbtnAbandonarActionPerformed

    if (!confirmacion) {
        jbtnAbandonar.setText("¿Esta seguro?");
        confirmacion = true;
    } else {
        partida.getJugador().get(partida.getTurno()).setNeutral(true);
        partida.getJugador().get(partida.getTurno()).setColor(10);
        partida.getJugador().get(partida.getTurno()).setNombreJugador("Neutral");

        if (partida.getTurno() == partida.getJugador().size() - 1) {
            partida.nuevaRonda();
        } else {
            partida.pasarTurno();
        }
        jbtnAbandonar.setText("Abandonar");
        confirmacion = false;
    }
}//GEN-LAST:event_jbtnAbandonarActionPerformed

private void jbtnVerCapitalesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbtnVerCapitalesActionPerformed

    if (jbtnVerCapitales.isSelected()) {
        jbtnVerCapitales.setText("Ocultar Capitales");
        jlstCapitales.setVisible(true);
        if (partida.getJugador().get(partida.getTurno()).getCapitales() != null) {
            ArrayList<String> listaCapitales = new ArrayList<String>();
            int numeroCapitales = partida.getJugador().get(partida.getTurno()).getCapitales().size();
            for (int i = 0; i < numeroCapitales; i++) {
                listaCapitales.add(partida.getJugador().get(partida.getTurno()).getCapitales().get(i).getNombreTerritorio());
            }
            jlstCapitales.setListData(listaCapitales.toArray());
        }
    } else {
        jlstCapitales.setVisible(false);
        jbtnVerCapitales.setText("Ver mis Capitales");
    }
}//GEN-LAST:event_jbtnVerCapitalesActionPerformed

private void jMenuGuardarPartidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuGuardarPartidaActionPerformed
    //vamos a salvar los datos de la partida
    
    int numJugadores = partida.getJugador().size();
    PartidaEntidad partidaE = new PartidaEntidad();
    partidaE.setNumJug(numJugadores);
    switch(numJugadores){
        case 2:
            partidaE.setJugador1(partida.getJugador().get(0).getNombreJugador());
            partidaE.setJugador2(partida.getJugador().get(1).getNombreJugador());
            break;
        case 3:
            partidaE.setJugador1(partida.getJugador().get(0).getNombreJugador());
            partidaE.setJugador2(partida.getJugador().get(1).getNombreJugador());
            partidaE.setJugador3(partida.getJugador().get(2).getNombreJugador());
            break;
        case 4:
            partidaE.setJugador1(partida.getJugador().get(0).getNombreJugador());
            partidaE.setJugador2(partida.getJugador().get(1).getNombreJugador());
            partidaE.setJugador3(partida.getJugador().get(2).getNombreJugador());
            partidaE.setJugador4(partida.getJugador().get(3).getNombreJugador());
            break;
        case 5:
            partidaE.setJugador1(partida.getJugador().get(0).getNombreJugador());
            partidaE.setJugador2(partida.getJugador().get(1).getNombreJugador());
            partidaE.setJugador3(partida.getJugador().get(2).getNombreJugador());
            partidaE.setJugador4(partida.getJugador().get(3).getNombreJugador());
            partidaE.setJugador5(partida.getJugador().get(4).getNombreJugador());
            break;
        case 6:
            partidaE.setJugador1(partida.getJugador().get(0).getNombreJugador());
            partidaE.setJugador2(partida.getJugador().get(1).getNombreJugador());
            partidaE.setJugador3(partida.getJugador().get(2).getNombreJugador());
            partidaE.setJugador4(partida.getJugador().get(3).getNombreJugador());
            partidaE.setJugador5(partida.getJugador().get(4).getNombreJugador());
            partidaE.setJugador6(partida.getJugador().get(5).getNombreJugador());
            break;
    }
        
    
    //micontroladorBD = new ControladorBD();
    ControladorBD.add(partidaE);
        
        
    JOptionPane.showMessageDialog(null,"Sus datos han sido guardados","SALVAR",JOptionPane.INFORMATION_MESSAGE); 
}//GEN-LAST:event_jMenuGuardarPartidaActionPerformed

private void jMenuCargarPartidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuCargarPartidaActionPerformed
    jfrmPartidasGuardadas pg = new jfrmPartidasGuardadas();
    pg.setVisible(true);
}//GEN-LAST:event_jMenuCargarPartidaActionPerformed



    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel _0;
    private javax.swing.JLabel _1;
    private javax.swing.JLabel _10;
    private javax.swing.JLabel _11;
    private javax.swing.JLabel _12;
    private javax.swing.JLabel _13;
    private javax.swing.JLabel _14;
    private javax.swing.JLabel _15;
    private javax.swing.JLabel _16;
    private javax.swing.JLabel _17;
    private javax.swing.JLabel _18;
    private javax.swing.JLabel _19;
    private javax.swing.JLabel _2;
    private javax.swing.JLabel _20;
    private javax.swing.JLabel _21;
    private javax.swing.JLabel _22;
    private javax.swing.JLabel _23;
    private javax.swing.JLabel _24;
    private javax.swing.JLabel _25;
    private javax.swing.JLabel _26;
    private javax.swing.JLabel _27;
    private javax.swing.JLabel _28;
    private javax.swing.JLabel _29;
    private javax.swing.JLabel _3;
    private javax.swing.JLabel _30;
    private javax.swing.JLabel _31;
    private javax.swing.JLabel _32;
    private javax.swing.JLabel _33;
    private javax.swing.JLabel _34;
    private javax.swing.JLabel _35;
    private javax.swing.JLabel _36;
    private javax.swing.JLabel _37;
    private javax.swing.JLabel _38;
    private javax.swing.JLabel _39;
    private javax.swing.JLabel _4;
    private javax.swing.JLabel _40;
    private javax.swing.JLabel _41;
    private javax.swing.JLabel _5;
    private javax.swing.JLabel _6;
    private javax.swing.JLabel _7;
    private javax.swing.JLabel _8;
    private javax.swing.JLabel _9;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLayeredPane jLayeredPane1;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuCargarPartida;
    private javax.swing.JMenuItem jMenuGuardarPartida;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JButton jbtnAbandonar;
    private javax.swing.JButton jbtnFinalizarTurno;
    private javax.swing.JButton jbtnMoverTropas;
    private javax.swing.JToggleButton jbtnVerCapitales;
    private javax.swing.JButton jbtnVerCartas;
    private javax.swing.JLabel jlblAccionActual;
    private javax.swing.JLabel jlblGanador;
    private javax.swing.JLabel jlblJugador;
    private javax.swing.JLabel jlblModoJuego;
    private javax.swing.JLabel jlblNumContinentes;
    private javax.swing.JLabel jlblNumPaises;
    private javax.swing.JLabel jlblRonda;
    private javax.swing.JLabel jlblRondaMax;
    private javax.swing.JLabel jlblTropasReserva;
    private javax.swing.JLabel jlbltxtCapitalesTab;
    private javax.swing.JLabel jlbltxtContinentes;
    private javax.swing.JLabel jlbltxtGanador;
    private javax.swing.JLabel jlbltxtModoJuego;
    private javax.swing.JLabel jlbltxtPaises;
    private javax.swing.JLabel jlbltxtRonda;
    private javax.swing.JLabel jlbltxtRondaMax;
    private javax.swing.JLabel jlbtxtlModo;
    private javax.swing.JList jlistPaises;
    private javax.swing.JList jlstCapitales;
    private javax.swing.JList jlstCapitalesTab;
    private javax.swing.JList jlstContinentes;
    private javax.swing.JPanel jpnlDatosPartida;
    private javax.swing.JPanel jpnlJugador;
    private javax.swing.JPanel jpnlTablero;
    private javax.swing.JLabel panel;
    // End of variables declaration//GEN-END:variables

    public void update(Observable o, Object arg) {
        Partida part = (Partida) o;
        actualizarTablero(part);
    }

    public Territorio getTerritorioSelec() {
        return territorioSelec;
    }

    public void setTerritorioSelec(Territorio territorioSelec) {
        this.territorioSelec = territorioSelec;
    }

}
