package src;
/**
 *
 * @author fco.dominguez
 * @author juan.alvarez
 */
// #[regen=yes,id=DCE.799311EB-1F58-BA20-5161-49CA2329828F]
// </editor-fold> 
public class CartaTerritorio {
    
    private Territorio pais;//territorio al que pertenece la carta
    private int numEjercitos;//numero de ejercitos que contiene la carta.
                         //1-infanteria; 5-caballeria; 10-artilleria
    private String nombre;

    
    //creacion de una carta normal
    public CartaTerritorio (Territorio t, int numEjer) {
        setPais(t);
        setNumEjercitos(numEjer);
        nombre = ""+numEjer+" ("+t.getNombreTerritorio()+")";
    }
    
    //creacion de una carta comodin
    public CartaTerritorio(String nomb){
        setPais(null);
        setNumEjercitos(0);
        nombre = nomb;
    }

    public Territorio getPais() {
        return pais;
    }

    public void setPais(Territorio pais) {
        this.pais = pais;
    }

    public int getNumEjercitos() {
        return numEjercitos;
    }

    public void setNumEjercitos(int numEjercitos) {
        this.numEjercitos = numEjercitos;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

}

